Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: martin rudalics <[email-masked]>
Date: Thu, 17 Dec 2020 18:05:54 +0100

> Let me reply that, with the three critical instances of
 > wset_updated_mode_line just out-commented, when I scroll in a frame
 > _with_ input focus, then the mode line is always correctly updated.

Because scrolling can change lots of other things in the selected window
so this is probably expected.

 > If
 > I scroll in a frame without input focus, then at least the percentage
 > is always updated, and the line-number is update as soon as the
 > (hollow) cursor reaches the top or the bottom of the range of text
 > shown in the frame. In any case, with global-line-numbers-mode on, is
 > there a situation where, in practice, one needs to look at the line
 > numbers as shown in the mode line?

I hardly ever look so I can't tell.  But doing the substitutions I
suggested earlier can hardly harm IMO.  And if they harm, then we'd yet
have another issue to investigate.

martin